import request from '@/utils/request'

// 查询 我平台游戏- 三方平台游戏 之间对应列表
export function listGamemapping(query) {
  return request({
    url: '/system/gamemapping/list',
    method: 'get',
    params: query
  })
}

// 查询 我平台游戏- 三方平台游戏 之间对应详细
export function getGamemapping(id) {
  return request({
    url: '/system/gamemapping/' + id,
    method: 'get'
  })
}

// 新增 我平台游戏- 三方平台游戏 之间对应
export function addGamemapping(data) {
  return request({
    url: '/system/gamemapping',
    method: 'post',
    data: data
  })
}

// 修改 我平台游戏- 三方平台游戏 之间对应
export function updateGamemapping(data) {
  return request({
    url: '/system/gamemapping',
    method: 'put',
    data: data
  })
}

// 删除 我平台游戏- 三方平台游戏 之间对应
export function delGamemapping(id) {
  return request({
    url: '/system/gamemapping/' + id,
    method: 'delete'
  })
}
